> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewergetviewerlogs



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/GetViewerLogs
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/GetViewerLogs:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetViewerLogs
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetViewerLogsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewerLogsResult'
components:
  schemas:
    GetViewerLogsRequest:
      type: object
      additionalProperties: false
      properties:
        ViewerIds:
          type: array
          nullable: true
          items:
            type: string
            format: guid
    GetViewerLogsResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Data:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ViewerData2'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ViewerData2:
      type: object
      additionalProperties: false
      properties:
        ViewerId:
          type: string
          format: guid
        Entries:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/LogEntry'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    LogEntry:
      type: object
      additionalProperties: false
      properties:
        TimeStamp:
          type: string
          nullable: true
        EventType:
          type: string
          nullable: true
        Application:
          type: string
          nullable: true
        Identification:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
        Exception:
          type: string
          nullable: true

````